#! /usr/bin/perl -w
use strict;

if (@ARGV != 3) {
    die "\nUsage: <infile> <outfile>\n\n";
}

my $infile = shift;
my $SeqNameFile = shift;
my $outfile = shift;
my $pos = shift;
my @s1="";

open (INSTREAM, $infile) or die "Couldn't open file: $infile\n";
open (INSTREAM1, $SeqNameFile) or die "Couldn't open file: $SeqNameFile\n";
open (OUT, ">$outfile") or die "can not open file: $outfile\n";

my $seq=0;
my $index=100;
my $current_line = "";
my $current_line1 = "";
my %seqid=();

while ($current_line1 = <INSTREAM1>) {
	chomp ($current_line1);
	@s1=split(/\s+/, $current_line1);
	$pos="\@".$s1[0]."\/2";
	$seqid{$pos} = $current_line1;
}

while ($current_line = <INSTREAM>) {
	chomp ($current_line);
	if ($current_line=~/^\@/){
    		$seq=$current_line;
      		if (exists $seqid{"$seq"}) {
        		$index=1;
        		print OUT "$current_line\t";
		}
	}

	elsif ($index<2) {
		print OUT "$current_line\n";
		$index=$index+1;
  	}
}
