args<-commandArgs(TRUE)
jpeg('mismatch_QC.jpg',1200,800)
par(mfrow=c(2,4),oma=c(0,0,3,0))
for (i in 1:length(args)){
mm_table1<-read.table(file=args[i],header=TRUE)
plot(mm_table1$pos,mm_table1$m0,col="red",xlab="base_number_greater_than_sequencing_length_are_read2", ylab="proportion_with_missmatches", cex.lab=1.2,ylim=c(0,1),type="l", main=paste(args[i]), cex.main=1.2)
par(new=T)
plot(mm_table1$pos,mm_table1$m1,col="blue",xlab="", ylab="", ylim=c(0,1), type="l")
par(new=T)
d2<-mm_table1$m2
plot(mm_table1$pos,d2,col="green", ylim=c(0,1),type="l",xlab="",ylab="")
par(new=T)
d3<-mm_table1$m3
plot(mm_table1$pos,d3,col="orange", ylim=c(0,1),type="l",xlab="",ylab="")
par(new=T)
plot(mm_table1$pos,mm_table1$m4,col="black", ylim=c(0,1),type="l",xlab="",ylab="")
abline(h=c(0.2,0.4,0.6,0.8),col="lightgray")
}

mtext ("=0_red,<=1_blue, <=2 green,<=3 orange,<=4_black",outer=TRUE,cex=1.5)


dev.off()
