#! /usr/bin/perl -w
use strict;

if (@ARGV != 3) {
    die "\nUsage: <infile1> <infile2> <outfile>\n\n";
}

my $infile = shift;
my $infile2 = shift;
my $outfile = shift;

open (INSTREAM, $infile) or die "Couldn't open file: $infile\n";
open (INSTREAM2, $infile2) or die "Couldn't open file: $infile2\n";
open (OUT, ">$outfile") or die "can not open file: $outfile\n";

my $len=0;
my $start=0;
my $end=0;
my $s=0;
my $pos=0;
my $k=0;
my $m=0;
my $index=0;
my $linenumber=0;
my $current_line = "";
my $current_line1 = "";
my @line="";
my @line1="";
my @s="";
my @s1="";
my %seq=();

while ($current_line1 = <INSTREAM>) {
        chomp ($current_line1);
		@s1=split(/\s+/, $current_line1);
		if ($s1[0]=~/^\@(\S+)\/\d$/) {
			$pos=$1;
		}
		$seq{$pos} = $s1[1];
}

while ($current_line = <INSTREAM2>) {
	chomp ($current_line);
	@s=split(/\s+/, $current_line);
	$index=$s[0];
	if (exists $seq{"$index"}) {
		$len=length($seq{$index});
		$start=$s[3]+29-$len;
		$end=$s[3]+29;

		if ($start>0 && $end<5386) {	
			print OUT "$s[2]\t$start\t$end\t$s[0]\n";
		}
	}
}
